Subject: bug#69546: closed (Re: bug#69546: cksum: inconsistent handling of invalid length values)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Mar 2024 16:41:02 +0000

Your bug report

#69546: cksum: inconsistent handling of invalid length values

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69546: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69546
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69546: cksum: inconsistent handling of invalid length values
From: Pádraig Brady <[email-masked]>
To: Daniel Hofstetter <[email-masked]>, [email-masked]
Date: Mon, 4 Mar 2024 16:39:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/03/2024 15:44, Daniel Hofstetter wrote:
> Hi,
> 
> When specifying an invalid length value followed by a valid length
> value I get the following error:
> 
> $ printf "hello" | cksum --algo=blake2b --length=12 --length=8
> cksum: invalid length: ‘12’
> cksum: length is not a multiple of 8
> 
> However, if the invalid length value is a multiple of 8 and greater
> than 512 (the maximum digest length for blake2b), there is no error:
> 
> $ printf "hello" | cksum --algo=blake2b --length=123456 --length=8
> BLAKE2b-8 (-) = 29
> 
> I think the behavior should be the same in the two scenarios, whether
> it's showing an error or ignoring the invalid value.
> 
> I'm using coreutils 9.4.

I pushed a fix at:
https://github.com/coreutils/coreutils/commit/fea833591

Now only the last used --length is validated.

Marking this as done.

cheers,
Pádraig

Subject: cksum: inconsistent handling of invalid length values
From: Daniel Hofstetter <[email-masked]>
To: [email-masked]
Date: Mon, 4 Mar 2024 16:44:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

When specifying an invalid length value followed by a valid length
value I get the following error:

$ printf "hello" | cksum --algo=blake2b --length=12 --length=8
cksum: invalid length: ‘12’
cksum: length is not a multiple of 8

However, if the invalid length value is a multiple of 8 and greater
than 512 (the maximum digest length for blake2b), there is no error:

$ printf "hello" | cksum --algo=blake2b --length=123456 --length=8
BLAKE2b-8 (-) = 29

I think the behavior should be the same in the two scenarios, whether
it's showing an error or ignoring the invalid value.

I'm using coreutils 9.4.

Regards,
Daniel